<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.4.0.final using JasperReports Library version 6.4.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="cdr" pageWidth="560" pageHeight="842" orientation="Landscape" columnWidth="560" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" whenResourceMissingType="Error" isIgnorePagination="true" uuid="92e53078-3d1e-4eb4-bb2a-1da474f99700">
	<parameter name="invoice" class="com.wings.base.domain.invoice.Invoice"/>
	<parameter name="jrCdrPerLine" class="java.lang.String" evaluationTime="Early"/>
	<field name="title" class="java.lang.String"/>
	<field name="cdrs" class="java.util.List"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<columnHeader>
		<band height="18">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<staticText>
				<reportElement positionType="FixRelativeToBottom" x="0" y="0" width="555" height="18" uuid="9d8f33ce-a9a6-47c6-a331-7e743b03ae40">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font isBold="true" isItalic="true"/>
				</textElement>
				<text><![CDATA[  Detalle de consumos por linea]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="45" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<textField>
				<reportElement key="" mode="Opaque" x="0" y="0" width="555" height="20" forecolor="#FFFFFF" backcolor="#3876BB" uuid="62bf070c-c4cf-42fb-b57f-a82ba58958ca">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA["  Línea " + $F{title}]]></textFieldExpression>
			</textField>
			<subreport>
				<reportElement x="0" y="20" width="560" height="19" uuid="03ac32ec-6666-45c4-819a-80a4490d860d"/>
				<parametersMapExpression><![CDATA[$P{REPORT_PARAMETERS_MAP}]]></parametersMapExpression>
				<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.JRBeanCollectionDataSource($F{cdrs})]]></dataSourceExpression>
				<subreportExpression><![CDATA["/var/wings/reports/invoice/cdrPerLine.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</detail>
</jasperReport>
